> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1activity targets

> Per-user daily activity targets, powering the Daily Planner KPI cards.



## OpenAPI

````yaml /openapi/commercial.yaml get /api/v1/activity-targets/{id}
openapi: 3.0.3
info:
  title: Commercial Service API
  version: 1.0.0
  description: |2-

        **Commercial Service API** - Lead management and campaign workflow system.

        ## Versioning
        The API uses URL path versioning (e.g., `/api/v1/`, `/api/v2/`).
        Current version: **v1**
        
servers:
  - url: https://api.capedigital.co.ke/commercial
    description: Production
security: []
paths:
  /api/v1/activity-targets/{id}:
    get:
      tags:
        - activity-targets
      description: Per-user daily activity targets, powering the Daily Planner KPI cards.
      operationId: activity_targets_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Activity Target.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityTarget'
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    ActivityTarget:
      type: object
      description: Per-user daily activity target — powers the Daily Planner's KPI cards.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        user:
          type: string
          format: uuid
          description: User ID this target applies to
        activity_type:
          enum:
            - call
            - meeting
            - email
            - follow_up
            - site_visit
            - proposal
          type: string
          x-spec-enum-id: ea259bbfa05f58b2
          description: |-
            Activity type this target applies to

            * `call` - Call
            * `meeting` - Meeting
            * `email` - Email
            * `follow_up` - Follow Up
            * `site_visit` - Site Visit
            * `proposal` - Proposal
        daily_target:
          type: integer
          maximum: 2147483647
          minimum: 0
          description: Target count of this activity type per day
      required:
        - activity_type
        - daily_target
        - id
        - user
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Enter your JWT token in the format: Bearer <token>'

````